package cn.com.ctop.bytedance.comsumer;

import com.xxl.mq.client.consumer.IMqConsumer;
import com.xxl.mq.client.consumer.MqResult;
import com.xxl.mq.client.consumer.annotation.MqConsumer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * Created by xuxueli on 16/8/28.
 */
@MqConsumer(topic = "bytedance_auth")
@Service
public class BytednaceAuthComsumer implements IMqConsumer {
    private Logger logger = LoggerFactory.getLogger(BytednaceAuthComsumer.class);

    @Override
    public MqResult consume(String data) throws Exception {
        logger.info("[BytednaceAuthComsumer] 消费一条消息:{}", data);
        return MqResult.SUCCESS;
    }

}
